---
title: AlertingApi
---

## PureCloud::AlertingApi

All URIs are relative to *https://api.mypurecloud.com*

Method | Description
------------- | ------------- | -------------
[**delete_heartbeat_alerts_alert_id**](AlertingApi.html#delete_heartbeat_alerts_alert_id) | Delete a heart beat alert
[**delete_heartbeat_rules_rule_id**](AlertingApi.html#delete_heartbeat_rules_rule_id) | Delete a heart beat rule.
[**delete_interactionstats_alerts_alert_id**](AlertingApi.html#delete_interactionstats_alerts_alert_id) | Delete an interaction stats alert
[**delete_interactionstats_rules_rule_id**](AlertingApi.html#delete_interactionstats_rules_rule_id) | Delete an interaction stats rule.
[**delete_routingstatus_alerts_alert_id**](AlertingApi.html#delete_routingstatus_alerts_alert_id) | Delete a routing status alert
[**delete_routingstatus_rules_rule_id**](AlertingApi.html#delete_routingstatus_rules_rule_id) | Delete a routing status rule.
[**delete_userpresence_alerts_alert_id**](AlertingApi.html#delete_userpresence_alerts_alert_id) | Delete a user presence alert
[**delete_userpresence_rules_rule_id**](AlertingApi.html#delete_userpresence_rules_rule_id) | Delete a user presence rule.
[**get_heartbeat_alerts**](AlertingApi.html#get_heartbeat_alerts) | Get heart beat alert list.
[**get_heartbeat_alerts_alert_id**](AlertingApi.html#get_heartbeat_alerts_alert_id) | Get a heart beat alert
[**get_heartbeat_rules**](AlertingApi.html#get_heartbeat_rules) | Get a heart beat rule list.
[**get_heartbeat_rules_rule_id**](AlertingApi.html#get_heartbeat_rules_rule_id) | Get a heart beat rule.
[**get_interactionstats_alerts**](AlertingApi.html#get_interactionstats_alerts) | Get interaction stats alert list.
[**get_interactionstats_alerts_alert_id**](AlertingApi.html#get_interactionstats_alerts_alert_id) | Get an interaction stats alert
[**get_interactionstats_alerts_unread**](AlertingApi.html#get_interactionstats_alerts_unread) | Gets user unread count of interaction stats alerts.
[**get_interactionstats_rules**](AlertingApi.html#get_interactionstats_rules) | Get an interaction stats rule list.
[**get_interactionstats_rules_rule_id**](AlertingApi.html#get_interactionstats_rules_rule_id) | Get an interaction stats rule.
[**get_routingstatus_alerts**](AlertingApi.html#get_routingstatus_alerts) | Get routing status alert list.
[**get_routingstatus_alerts_alert_id**](AlertingApi.html#get_routingstatus_alerts_alert_id) | Get a routing status alert
[**get_routingstatus_rules**](AlertingApi.html#get_routingstatus_rules) | Get a routing status rule list.
[**get_routingstatus_rules_rule_id**](AlertingApi.html#get_routingstatus_rules_rule_id) | Get a routing status rule.
[**get_userpresence_alerts**](AlertingApi.html#get_userpresence_alerts) | Get user presence alert list.
[**get_userpresence_alerts_alert_id**](AlertingApi.html#get_userpresence_alerts_alert_id) | Get a user presence alert
[**get_userpresence_rules**](AlertingApi.html#get_userpresence_rules) | Get a user presence rule list.
[**get_userpresence_rules_rule_id**](AlertingApi.html#get_userpresence_rules_rule_id) | Get a user presence rule.
[**post_heartbeat_rules**](AlertingApi.html#post_heartbeat_rules) | Create a heart beat rule.
[**post_interactionstats_rules**](AlertingApi.html#post_interactionstats_rules) | Create an interaction stats rule.
[**post_routingstatus_rules**](AlertingApi.html#post_routingstatus_rules) | Create a routing status rule.
[**post_userpresence_rules**](AlertingApi.html#post_userpresence_rules) | Create a user presence rule.
[**put_heartbeat_rules_rule_id**](AlertingApi.html#put_heartbeat_rules_rule_id) | Update a heart beat rule
[**put_interactionstats_alerts_alert_id**](AlertingApi.html#put_interactionstats_alerts_alert_id) | Update an interaction stats alert read status
[**put_interactionstats_rules_rule_id**](AlertingApi.html#put_interactionstats_rules_rule_id) | Update an interaction stats rule
[**put_routingstatus_rules_rule_id**](AlertingApi.html#put_routingstatus_rules_rule_id) | Update a routing status rule
[**put_userpresence_rules_rule_id**](AlertingApi.html#put_userpresence_rules_rule_id) | Update a user presence rule
{: class="table table-striped"}

<a name="delete_heartbeat_alerts_alert_id"></a>

## - delete_heartbeat_alerts_alert_id(alert_id)

Delete a heart beat alert



Wraps DELETE /api/v2/alerting/heartbeat/alerts/{alertId} 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::AlertingApi.new

alert_id = "alert_id_example" # String | Alert ID


begin
  #Delete a heart beat alert
  api_instance.delete_heartbeat_alerts_alert_id(alert_id)
rescue PureCloud::ApiError => e
  puts "Exception when calling AlertingApi->delete_heartbeat_alerts_alert_id: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **alert_id** | **String**| Alert ID | 
{: class="table table-striped"}


### Return type

nil (empty response body)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="delete_heartbeat_rules_rule_id"></a>

## - delete_heartbeat_rules_rule_id(rule_id)

Delete a heart beat rule.



Wraps DELETE /api/v2/alerting/heartbeat/rules/{ruleId} 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::AlertingApi.new

rule_id = "rule_id_example" # String | Rule ID


begin
  #Delete a heart beat rule.
  api_instance.delete_heartbeat_rules_rule_id(rule_id)
rescue PureCloud::ApiError => e
  puts "Exception when calling AlertingApi->delete_heartbeat_rules_rule_id: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **rule_id** | **String**| Rule ID | 
{: class="table table-striped"}


### Return type

nil (empty response body)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="delete_interactionstats_alerts_alert_id"></a>

## - delete_interactionstats_alerts_alert_id(alert_id)

Delete an interaction stats alert



Wraps DELETE /api/v2/alerting/interactionstats/alerts/{alertId} 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::AlertingApi.new

alert_id = "alert_id_example" # String | Alert ID


begin
  #Delete an interaction stats alert
  api_instance.delete_interactionstats_alerts_alert_id(alert_id)
rescue PureCloud::ApiError => e
  puts "Exception when calling AlertingApi->delete_interactionstats_alerts_alert_id: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **alert_id** | **String**| Alert ID | 
{: class="table table-striped"}


### Return type

nil (empty response body)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="delete_interactionstats_rules_rule_id"></a>

## - delete_interactionstats_rules_rule_id(rule_id)

Delete an interaction stats rule.



Wraps DELETE /api/v2/alerting/interactionstats/rules/{ruleId} 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::AlertingApi.new

rule_id = "rule_id_example" # String | Rule ID


begin
  #Delete an interaction stats rule.
  api_instance.delete_interactionstats_rules_rule_id(rule_id)
rescue PureCloud::ApiError => e
  puts "Exception when calling AlertingApi->delete_interactionstats_rules_rule_id: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **rule_id** | **String**| Rule ID | 
{: class="table table-striped"}


### Return type

nil (empty response body)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="delete_routingstatus_alerts_alert_id"></a>

## - delete_routingstatus_alerts_alert_id(alert_id)

Delete a routing status alert



Wraps DELETE /api/v2/alerting/routingstatus/alerts/{alertId} 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::AlertingApi.new

alert_id = "alert_id_example" # String | Alert ID


begin
  #Delete a routing status alert
  api_instance.delete_routingstatus_alerts_alert_id(alert_id)
rescue PureCloud::ApiError => e
  puts "Exception when calling AlertingApi->delete_routingstatus_alerts_alert_id: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **alert_id** | **String**| Alert ID | 
{: class="table table-striped"}


### Return type

nil (empty response body)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="delete_routingstatus_rules_rule_id"></a>

## - delete_routingstatus_rules_rule_id(rule_id)

Delete a routing status rule.



Wraps DELETE /api/v2/alerting/routingstatus/rules/{ruleId} 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::AlertingApi.new

rule_id = "rule_id_example" # String | Rule ID


begin
  #Delete a routing status rule.
  api_instance.delete_routingstatus_rules_rule_id(rule_id)
rescue PureCloud::ApiError => e
  puts "Exception when calling AlertingApi->delete_routingstatus_rules_rule_id: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **rule_id** | **String**| Rule ID | 
{: class="table table-striped"}


### Return type

nil (empty response body)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="delete_userpresence_alerts_alert_id"></a>

## - delete_userpresence_alerts_alert_id(alert_id)

Delete a user presence alert



Wraps DELETE /api/v2/alerting/userpresence/alerts/{alertId} 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::AlertingApi.new

alert_id = "alert_id_example" # String | Alert ID


begin
  #Delete a user presence alert
  api_instance.delete_userpresence_alerts_alert_id(alert_id)
rescue PureCloud::ApiError => e
  puts "Exception when calling AlertingApi->delete_userpresence_alerts_alert_id: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **alert_id** | **String**| Alert ID | 
{: class="table table-striped"}


### Return type

nil (empty response body)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="delete_userpresence_rules_rule_id"></a>

## - delete_userpresence_rules_rule_id(rule_id)

Delete a user presence rule.



Wraps DELETE /api/v2/alerting/userpresence/rules/{ruleId} 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::AlertingApi.new

rule_id = "rule_id_example" # String | Rule ID


begin
  #Delete a user presence rule.
  api_instance.delete_userpresence_rules_rule_id(rule_id)
rescue PureCloud::ApiError => e
  puts "Exception when calling AlertingApi->delete_userpresence_rules_rule_id: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **rule_id** | **String**| Rule ID | 
{: class="table table-striped"}


### Return type

nil (empty response body)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_heartbeat_alerts"></a>

## -[**HeartBeatAlertContainer**](HeartBeatAlertContainer.html) get_heartbeat_alerts(opts)

Get heart beat alert list.



Wraps GET /api/v2/alerting/heartbeat/alerts 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::AlertingApi.new

opts = { 
  expand: ["expand_example"] # Array<String> | Which fields, if any, to expand
}

begin
  #Get heart beat alert list.
  result = api_instance.get_heartbeat_alerts(opts)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling AlertingApi->get_heartbeat_alerts: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **expand** | [**Array&lt;String&gt;**](String.html)| Which fields, if any, to expand | [optional] 
{: class="table table-striped"}


### Return type

[**HeartBeatAlertContainer**](HeartBeatAlertContainer.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_heartbeat_alerts_alert_id"></a>

## -[**HeartBeatAlert**](HeartBeatAlert.html) get_heartbeat_alerts_alert_id(alert_id, opts)

Get a heart beat alert



Wraps GET /api/v2/alerting/heartbeat/alerts/{alertId} 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::AlertingApi.new

alert_id = "alert_id_example" # String | Alert ID

opts = { 
  expand: ["expand_example"] # Array<String> | Which fields, if any, to expand
}

begin
  #Get a heart beat alert
  result = api_instance.get_heartbeat_alerts_alert_id(alert_id, opts)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling AlertingApi->get_heartbeat_alerts_alert_id: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **alert_id** | **String**| Alert ID | 
 **expand** | [**Array&lt;String&gt;**](String.html)| Which fields, if any, to expand | [optional] 
{: class="table table-striped"}


### Return type

[**HeartBeatAlert**](HeartBeatAlert.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_heartbeat_rules"></a>

## -[**HeartBeatRuleContainer**](HeartBeatRuleContainer.html) get_heartbeat_rules(opts)

Get a heart beat rule list.



Wraps GET /api/v2/alerting/heartbeat/rules 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::AlertingApi.new

opts = { 
  expand: ["expand_example"] # Array<String> | Which fields, if any, to expand
}

begin
  #Get a heart beat rule list.
  result = api_instance.get_heartbeat_rules(opts)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling AlertingApi->get_heartbeat_rules: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **expand** | [**Array&lt;String&gt;**](String.html)| Which fields, if any, to expand | [optional] 
{: class="table table-striped"}


### Return type

[**HeartBeatRuleContainer**](HeartBeatRuleContainer.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_heartbeat_rules_rule_id"></a>

## -[**HeartBeatRule**](HeartBeatRule.html) get_heartbeat_rules_rule_id(rule_id, opts)

Get a heart beat rule.



Wraps GET /api/v2/alerting/heartbeat/rules/{ruleId} 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::AlertingApi.new

rule_id = "rule_id_example" # String | Rule ID

opts = { 
  expand: ["expand_example"] # Array<String> | Which fields, if any, to expand
}

begin
  #Get a heart beat rule.
  result = api_instance.get_heartbeat_rules_rule_id(rule_id, opts)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling AlertingApi->get_heartbeat_rules_rule_id: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **rule_id** | **String**| Rule ID | 
 **expand** | [**Array&lt;String&gt;**](String.html)| Which fields, if any, to expand | [optional] 
{: class="table table-striped"}


### Return type

[**HeartBeatRule**](HeartBeatRule.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_interactionstats_alerts"></a>

## -[**InteractionStatsAlertContainer**](InteractionStatsAlertContainer.html) get_interactionstats_alerts(opts)

Get interaction stats alert list.



Wraps GET /api/v2/alerting/interactionstats/alerts 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::AlertingApi.new

opts = { 
  expand: ["expand_example"] # Array<String> | Which fields, if any, to expand
}

begin
  #Get interaction stats alert list.
  result = api_instance.get_interactionstats_alerts(opts)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling AlertingApi->get_interactionstats_alerts: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **expand** | [**Array&lt;String&gt;**](String.html)| Which fields, if any, to expand | [optional] 
{: class="table table-striped"}


### Return type

[**InteractionStatsAlertContainer**](InteractionStatsAlertContainer.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_interactionstats_alerts_alert_id"></a>

## -[**InteractionStatsAlert**](InteractionStatsAlert.html) get_interactionstats_alerts_alert_id(alert_id, opts)

Get an interaction stats alert



Wraps GET /api/v2/alerting/interactionstats/alerts/{alertId} 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::AlertingApi.new

alert_id = "alert_id_example" # String | Alert ID

opts = { 
  expand: ["expand_example"] # Array<String> | Which fields, if any, to expand
}

begin
  #Get an interaction stats alert
  result = api_instance.get_interactionstats_alerts_alert_id(alert_id, opts)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling AlertingApi->get_interactionstats_alerts_alert_id: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **alert_id** | **String**| Alert ID | 
 **expand** | [**Array&lt;String&gt;**](String.html)| Which fields, if any, to expand | [optional] 
{: class="table table-striped"}


### Return type

[**InteractionStatsAlert**](InteractionStatsAlert.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_interactionstats_alerts_unread"></a>

## -[**UnreadMetric**](UnreadMetric.html) get_interactionstats_alerts_unread

Gets user unread count of interaction stats alerts.



Wraps GET /api/v2/alerting/interactionstats/alerts/unread 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::AlertingApi.new

begin
  #Gets user unread count of interaction stats alerts.
  result = api_instance.get_interactionstats_alerts_unread
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling AlertingApi->get_interactionstats_alerts_unread: #{e}"
end
~~~

### Parameters
This endpoint does not need any parameter.
{: class="table table-striped"}


### Return type

[**UnreadMetric**](UnreadMetric.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_interactionstats_rules"></a>

## -[**InteractionStatsRuleContainer**](InteractionStatsRuleContainer.html) get_interactionstats_rules(opts)

Get an interaction stats rule list.



Wraps GET /api/v2/alerting/interactionstats/rules 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::AlertingApi.new

opts = { 
  expand: ["expand_example"] # Array<String> | Which fields, if any, to expand
}

begin
  #Get an interaction stats rule list.
  result = api_instance.get_interactionstats_rules(opts)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling AlertingApi->get_interactionstats_rules: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **expand** | [**Array&lt;String&gt;**](String.html)| Which fields, if any, to expand | [optional] 
{: class="table table-striped"}


### Return type

[**InteractionStatsRuleContainer**](InteractionStatsRuleContainer.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_interactionstats_rules_rule_id"></a>

## -[**InteractionStatsRule**](InteractionStatsRule.html) get_interactionstats_rules_rule_id(rule_id, opts)

Get an interaction stats rule.



Wraps GET /api/v2/alerting/interactionstats/rules/{ruleId} 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::AlertingApi.new

rule_id = "rule_id_example" # String | Rule ID

opts = { 
  expand: ["expand_example"] # Array<String> | Which fields, if any, to expand
}

begin
  #Get an interaction stats rule.
  result = api_instance.get_interactionstats_rules_rule_id(rule_id, opts)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling AlertingApi->get_interactionstats_rules_rule_id: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **rule_id** | **String**| Rule ID | 
 **expand** | [**Array&lt;String&gt;**](String.html)| Which fields, if any, to expand | [optional] 
{: class="table table-striped"}


### Return type

[**InteractionStatsRule**](InteractionStatsRule.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_routingstatus_alerts"></a>

## -[**RoutingStatusAlertContainer**](RoutingStatusAlertContainer.html) get_routingstatus_alerts(opts)

Get routing status alert list.



Wraps GET /api/v2/alerting/routingstatus/alerts 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::AlertingApi.new

opts = { 
  expand: ["expand_example"] # Array<String> | Which fields, if any, to expand
}

begin
  #Get routing status alert list.
  result = api_instance.get_routingstatus_alerts(opts)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling AlertingApi->get_routingstatus_alerts: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **expand** | [**Array&lt;String&gt;**](String.html)| Which fields, if any, to expand | [optional] 
{: class="table table-striped"}


### Return type

[**RoutingStatusAlertContainer**](RoutingStatusAlertContainer.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_routingstatus_alerts_alert_id"></a>

## -[**RoutingStatusAlert**](RoutingStatusAlert.html) get_routingstatus_alerts_alert_id(alert_id, opts)

Get a routing status alert



Wraps GET /api/v2/alerting/routingstatus/alerts/{alertId} 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::AlertingApi.new

alert_id = "alert_id_example" # String | Alert ID

opts = { 
  expand: ["expand_example"] # Array<String> | Which fields, if any, to expand
}

begin
  #Get a routing status alert
  result = api_instance.get_routingstatus_alerts_alert_id(alert_id, opts)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling AlertingApi->get_routingstatus_alerts_alert_id: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **alert_id** | **String**| Alert ID | 
 **expand** | [**Array&lt;String&gt;**](String.html)| Which fields, if any, to expand | [optional] 
{: class="table table-striped"}


### Return type

[**RoutingStatusAlert**](RoutingStatusAlert.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_routingstatus_rules"></a>

## -[**RoutingStatusRuleContainer**](RoutingStatusRuleContainer.html) get_routingstatus_rules(opts)

Get a routing status rule list.



Wraps GET /api/v2/alerting/routingstatus/rules 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::AlertingApi.new

opts = { 
  expand: ["expand_example"] # Array<String> | Which fields, if any, to expand
}

begin
  #Get a routing status rule list.
  result = api_instance.get_routingstatus_rules(opts)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling AlertingApi->get_routingstatus_rules: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **expand** | [**Array&lt;String&gt;**](String.html)| Which fields, if any, to expand | [optional] 
{: class="table table-striped"}


### Return type

[**RoutingStatusRuleContainer**](RoutingStatusRuleContainer.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_routingstatus_rules_rule_id"></a>

## -[**RoutingStatusRule**](RoutingStatusRule.html) get_routingstatus_rules_rule_id(rule_id, opts)

Get a routing status rule.



Wraps GET /api/v2/alerting/routingstatus/rules/{ruleId} 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::AlertingApi.new

rule_id = "rule_id_example" # String | Rule ID

opts = { 
  expand: ["expand_example"] # Array<String> | Which fields, if any, to expand
}

begin
  #Get a routing status rule.
  result = api_instance.get_routingstatus_rules_rule_id(rule_id, opts)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling AlertingApi->get_routingstatus_rules_rule_id: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **rule_id** | **String**| Rule ID | 
 **expand** | [**Array&lt;String&gt;**](String.html)| Which fields, if any, to expand | [optional] 
{: class="table table-striped"}


### Return type

[**RoutingStatusRule**](RoutingStatusRule.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_userpresence_alerts"></a>

## -[**UserPresenceAlertContainer**](UserPresenceAlertContainer.html) get_userpresence_alerts(opts)

Get user presence alert list.



Wraps GET /api/v2/alerting/userpresence/alerts 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::AlertingApi.new

opts = { 
  expand: ["expand_example"] # Array<String> | Which fields, if any, to expand
}

begin
  #Get user presence alert list.
  result = api_instance.get_userpresence_alerts(opts)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling AlertingApi->get_userpresence_alerts: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **expand** | [**Array&lt;String&gt;**](String.html)| Which fields, if any, to expand | [optional] 
{: class="table table-striped"}


### Return type

[**UserPresenceAlertContainer**](UserPresenceAlertContainer.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_userpresence_alerts_alert_id"></a>

## -[**UserPresenceAlert**](UserPresenceAlert.html) get_userpresence_alerts_alert_id(alert_id, opts)

Get a user presence alert



Wraps GET /api/v2/alerting/userpresence/alerts/{alertId} 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::AlertingApi.new

alert_id = "alert_id_example" # String | Alert ID

opts = { 
  expand: ["expand_example"] # Array<String> | Which fields, if any, to expand
}

begin
  #Get a user presence alert
  result = api_instance.get_userpresence_alerts_alert_id(alert_id, opts)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling AlertingApi->get_userpresence_alerts_alert_id: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **alert_id** | **String**| Alert ID | 
 **expand** | [**Array&lt;String&gt;**](String.html)| Which fields, if any, to expand | [optional] 
{: class="table table-striped"}


### Return type

[**UserPresenceAlert**](UserPresenceAlert.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_userpresence_rules"></a>

## -[**UserPresenceRuleContainer**](UserPresenceRuleContainer.html) get_userpresence_rules(opts)

Get a user presence rule list.



Wraps GET /api/v2/alerting/userpresence/rules 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::AlertingApi.new

opts = { 
  expand: ["expand_example"] # Array<String> | Which fields, if any, to expand
}

begin
  #Get a user presence rule list.
  result = api_instance.get_userpresence_rules(opts)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling AlertingApi->get_userpresence_rules: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **expand** | [**Array&lt;String&gt;**](String.html)| Which fields, if any, to expand | [optional] 
{: class="table table-striped"}


### Return type

[**UserPresenceRuleContainer**](UserPresenceRuleContainer.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_userpresence_rules_rule_id"></a>

## -[**UserPresenceRule**](UserPresenceRule.html) get_userpresence_rules_rule_id(rule_id, opts)

Get a user presence rule.



Wraps GET /api/v2/alerting/userpresence/rules/{ruleId} 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::AlertingApi.new

rule_id = "rule_id_example" # String | Rule ID

opts = { 
  expand: ["expand_example"] # Array<String> | Which fields, if any, to expand
}

begin
  #Get a user presence rule.
  result = api_instance.get_userpresence_rules_rule_id(rule_id, opts)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling AlertingApi->get_userpresence_rules_rule_id: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **rule_id** | **String**| Rule ID | 
 **expand** | [**Array&lt;String&gt;**](String.html)| Which fields, if any, to expand | [optional] 
{: class="table table-striped"}


### Return type

[**UserPresenceRule**](UserPresenceRule.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="post_heartbeat_rules"></a>

## -[**HeartBeatRule**](HeartBeatRule.html) post_heartbeat_rules(body, opts)

Create a heart beat rule.



Wraps POST /api/v2/alerting/heartbeat/rules 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::AlertingApi.new

body = PureCloud::HeartBeatRule.new # HeartBeatRule | HeartBeatRule

opts = { 
  expand: ["expand_example"] # Array<String> | Which fields, if any, to expand
}

begin
  #Create a heart beat rule.
  result = api_instance.post_heartbeat_rules(body, opts)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling AlertingApi->post_heartbeat_rules: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**HeartBeatRule**](HeartBeatRule.html)| HeartBeatRule | 
 **expand** | [**Array&lt;String&gt;**](String.html)| Which fields, if any, to expand | [optional] 
{: class="table table-striped"}


### Return type

[**HeartBeatRule**](HeartBeatRule.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="post_interactionstats_rules"></a>

## -[**InteractionStatsRule**](InteractionStatsRule.html) post_interactionstats_rules(body, opts)

Create an interaction stats rule.



Wraps POST /api/v2/alerting/interactionstats/rules 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::AlertingApi.new

body = PureCloud::InteractionStatsRule.new # InteractionStatsRule | AlertingRule

opts = { 
  expand: ["expand_example"] # Array<String> | Which fields, if any, to expand
}

begin
  #Create an interaction stats rule.
  result = api_instance.post_interactionstats_rules(body, opts)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling AlertingApi->post_interactionstats_rules: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**InteractionStatsRule**](InteractionStatsRule.html)| AlertingRule | 
 **expand** | [**Array&lt;String&gt;**](String.html)| Which fields, if any, to expand | [optional] 
{: class="table table-striped"}


### Return type

[**InteractionStatsRule**](InteractionStatsRule.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="post_routingstatus_rules"></a>

## -[**RoutingStatusRule**](RoutingStatusRule.html) post_routingstatus_rules(body, opts)

Create a routing status rule.



Wraps POST /api/v2/alerting/routingstatus/rules 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::AlertingApi.new

body = PureCloud::RoutingStatusRule.new # RoutingStatusRule | RoutingStatusRule

opts = { 
  expand: ["expand_example"] # Array<String> | Which fields, if any, to expand
}

begin
  #Create a routing status rule.
  result = api_instance.post_routingstatus_rules(body, opts)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling AlertingApi->post_routingstatus_rules: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**RoutingStatusRule**](RoutingStatusRule.html)| RoutingStatusRule | 
 **expand** | [**Array&lt;String&gt;**](String.html)| Which fields, if any, to expand | [optional] 
{: class="table table-striped"}


### Return type

[**RoutingStatusRule**](RoutingStatusRule.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="post_userpresence_rules"></a>

## -[**UserPresenceRule**](UserPresenceRule.html) post_userpresence_rules(body, opts)

Create a user presence rule.



Wraps POST /api/v2/alerting/userpresence/rules 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::AlertingApi.new

body = PureCloud::UserPresenceRule.new # UserPresenceRule | UserPresenceRule

opts = { 
  expand: ["expand_example"] # Array<String> | Which fields, if any, to expand
}

begin
  #Create a user presence rule.
  result = api_instance.post_userpresence_rules(body, opts)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling AlertingApi->post_userpresence_rules: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**UserPresenceRule**](UserPresenceRule.html)| UserPresenceRule | 
 **expand** | [**Array&lt;String&gt;**](String.html)| Which fields, if any, to expand | [optional] 
{: class="table table-striped"}


### Return type

[**UserPresenceRule**](UserPresenceRule.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="put_heartbeat_rules_rule_id"></a>

## -[**HeartBeatRule**](HeartBeatRule.html) put_heartbeat_rules_rule_id(rule_id, body, opts)

Update a heart beat rule



Wraps PUT /api/v2/alerting/heartbeat/rules/{ruleId} 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::AlertingApi.new

rule_id = "rule_id_example" # String | Rule ID

body = PureCloud::HeartBeatRule.new # HeartBeatRule | HeartBeatRule

opts = { 
  expand: ["expand_example"] # Array<String> | Which fields, if any, to expand
}

begin
  #Update a heart beat rule
  result = api_instance.put_heartbeat_rules_rule_id(rule_id, body, opts)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling AlertingApi->put_heartbeat_rules_rule_id: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **rule_id** | **String**| Rule ID | 
 **body** | [**HeartBeatRule**](HeartBeatRule.html)| HeartBeatRule | 
 **expand** | [**Array&lt;String&gt;**](String.html)| Which fields, if any, to expand | [optional] 
{: class="table table-striped"}


### Return type

[**HeartBeatRule**](HeartBeatRule.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="put_interactionstats_alerts_alert_id"></a>

## -[**UnreadStatus**](UnreadStatus.html) put_interactionstats_alerts_alert_id(alert_id, body, opts)

Update an interaction stats alert read status



Wraps PUT /api/v2/alerting/interactionstats/alerts/{alertId} 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::AlertingApi.new

alert_id = "alert_id_example" # String | Alert ID

body = PureCloud::UnreadStatus.new # UnreadStatus | InteractionStatsAlert

opts = { 
  expand: ["expand_example"] # Array<String> | Which fields, if any, to expand
}

begin
  #Update an interaction stats alert read status
  result = api_instance.put_interactionstats_alerts_alert_id(alert_id, body, opts)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling AlertingApi->put_interactionstats_alerts_alert_id: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **alert_id** | **String**| Alert ID | 
 **body** | [**UnreadStatus**](UnreadStatus.html)| InteractionStatsAlert | 
 **expand** | [**Array&lt;String&gt;**](String.html)| Which fields, if any, to expand | [optional] 
{: class="table table-striped"}


### Return type

[**UnreadStatus**](UnreadStatus.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="put_interactionstats_rules_rule_id"></a>

## -[**InteractionStatsRule**](InteractionStatsRule.html) put_interactionstats_rules_rule_id(rule_id, body, opts)

Update an interaction stats rule



Wraps PUT /api/v2/alerting/interactionstats/rules/{ruleId} 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::AlertingApi.new

rule_id = "rule_id_example" # String | Rule ID

body = PureCloud::InteractionStatsRule.new # InteractionStatsRule | AlertingRule

opts = { 
  expand: ["expand_example"] # Array<String> | Which fields, if any, to expand
}

begin
  #Update an interaction stats rule
  result = api_instance.put_interactionstats_rules_rule_id(rule_id, body, opts)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling AlertingApi->put_interactionstats_rules_rule_id: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **rule_id** | **String**| Rule ID | 
 **body** | [**InteractionStatsRule**](InteractionStatsRule.html)| AlertingRule | 
 **expand** | [**Array&lt;String&gt;**](String.html)| Which fields, if any, to expand | [optional] 
{: class="table table-striped"}


### Return type

[**InteractionStatsRule**](InteractionStatsRule.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="put_routingstatus_rules_rule_id"></a>

## -[**RoutingStatusRule**](RoutingStatusRule.html) put_routingstatus_rules_rule_id(rule_id, body, opts)

Update a routing status rule



Wraps PUT /api/v2/alerting/routingstatus/rules/{ruleId} 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::AlertingApi.new

rule_id = "rule_id_example" # String | Rule ID

body = PureCloud::RoutingStatusRule.new # RoutingStatusRule | RoutingStatusRule

opts = { 
  expand: ["expand_example"] # Array<String> | Which fields, if any, to expand
}

begin
  #Update a routing status rule
  result = api_instance.put_routingstatus_rules_rule_id(rule_id, body, opts)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling AlertingApi->put_routingstatus_rules_rule_id: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **rule_id** | **String**| Rule ID | 
 **body** | [**RoutingStatusRule**](RoutingStatusRule.html)| RoutingStatusRule | 
 **expand** | [**Array&lt;String&gt;**](String.html)| Which fields, if any, to expand | [optional] 
{: class="table table-striped"}


### Return type

[**RoutingStatusRule**](RoutingStatusRule.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="put_userpresence_rules_rule_id"></a>

## -[**UserPresenceRule**](UserPresenceRule.html) put_userpresence_rules_rule_id(rule_id, body, opts)

Update a user presence rule



Wraps PUT /api/v2/alerting/userpresence/rules/{ruleId} 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::AlertingApi.new

rule_id = "rule_id_example" # String | Rule ID

body = PureCloud::UserPresenceRule.new # UserPresenceRule | UserPresenceRule

opts = { 
  expand: ["expand_example"] # Array<String> | Which fields, if any, to expand
}

begin
  #Update a user presence rule
  result = api_instance.put_userpresence_rules_rule_id(rule_id, body, opts)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling AlertingApi->put_userpresence_rules_rule_id: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **rule_id** | **String**| Rule ID | 
 **body** | [**UserPresenceRule**](UserPresenceRule.html)| UserPresenceRule | 
 **expand** | [**Array&lt;String&gt;**](String.html)| Which fields, if any, to expand | [optional] 
{: class="table table-striped"}


### Return type

[**UserPresenceRule**](UserPresenceRule.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



