---
title: IdentityProviderApi
---

## PureCloud::IdentityProviderApi

All URIs are relative to *https://api.mypurecloud.com*

Method | Description
------------- | ------------- | -------------
[**delete_adfs**](IdentityProviderApi.html#delete_adfs) | Delete ADFS Identity Provider
[**delete_cic**](IdentityProviderApi.html#delete_cic) | Delete Customer Interaction Center (CIC) Identity Provider
[**delete_gsuite**](IdentityProviderApi.html#delete_gsuite) | Delete G Suite Identity Provider
[**delete_identitynow**](IdentityProviderApi.html#delete_identitynow) | Delete IdentityNow Provider
[**delete_okta**](IdentityProviderApi.html#delete_okta) | Delete Okta Identity Provider
[**delete_onelogin**](IdentityProviderApi.html#delete_onelogin) | Delete OneLogin Identity Provider
[**delete_ping**](IdentityProviderApi.html#delete_ping) | Delete Ping Identity Provider
[**delete_purecloud**](IdentityProviderApi.html#delete_purecloud) | Delete PureCloud Identity Provider
[**delete_salesforce**](IdentityProviderApi.html#delete_salesforce) | Delete Salesforce Identity Provider
[**get_adfs**](IdentityProviderApi.html#get_adfs) | Get ADFS Identity Provider
[**get_cic**](IdentityProviderApi.html#get_cic) | Get Customer Interaction Center (CIC) Identity Provider
[**get_gsuite**](IdentityProviderApi.html#get_gsuite) | Get G Suite Identity Provider
[**get_identitynow**](IdentityProviderApi.html#get_identitynow) | Get IdentityNow Provider
[**get_identityproviders**](IdentityProviderApi.html#get_identityproviders) | The list of identity providers
[**get_okta**](IdentityProviderApi.html#get_okta) | Get Okta Identity Provider
[**get_onelogin**](IdentityProviderApi.html#get_onelogin) | Get OneLogin Identity Provider
[**get_ping**](IdentityProviderApi.html#get_ping) | Get Ping Identity Provider
[**get_purecloud**](IdentityProviderApi.html#get_purecloud) | Get PureCloud Identity Provider
[**get_salesforce**](IdentityProviderApi.html#get_salesforce) | Get Salesforce Identity Provider
[**put_adfs**](IdentityProviderApi.html#put_adfs) | Update/Create ADFS Identity Provider
[**put_cic**](IdentityProviderApi.html#put_cic) | Update/Create Customer Interaction Center (CIC) Identity Provider
[**put_gsuite**](IdentityProviderApi.html#put_gsuite) | Update/Create G Suite Identity Provider
[**put_identitynow**](IdentityProviderApi.html#put_identitynow) | Update/Create IdentityNow Provider
[**put_okta**](IdentityProviderApi.html#put_okta) | Update/Create Okta Identity Provider
[**put_onelogin**](IdentityProviderApi.html#put_onelogin) | Update/Create OneLogin Identity Provider
[**put_ping**](IdentityProviderApi.html#put_ping) | Update/Create Ping Identity Provider
[**put_purecloud**](IdentityProviderApi.html#put_purecloud) | Update/Create PureCloud Identity Provider
[**put_salesforce**](IdentityProviderApi.html#put_salesforce) | Update/Create Salesforce Identity Provider
{: class="table table-striped"}

<a name="delete_adfs"></a>

## -[**Empty**](Empty.html) delete_adfs

Delete ADFS Identity Provider



Wraps DELETE /api/v2/identityproviders/adfs 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::IdentityProviderApi.new

begin
  #Delete ADFS Identity Provider
  result = api_instance.delete_adfs
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling IdentityProviderApi->delete_adfs: #{e}"
end
~~~

### Parameters
This endpoint does not need any parameter.
{: class="table table-striped"}


### Return type

[**Empty**](Empty.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="delete_cic"></a>

## -[**Empty**](Empty.html) delete_cic

Delete Customer Interaction Center (CIC) Identity Provider



Wraps DELETE /api/v2/identityproviders/cic 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::IdentityProviderApi.new

begin
  #Delete Customer Interaction Center (CIC) Identity Provider
  result = api_instance.delete_cic
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling IdentityProviderApi->delete_cic: #{e}"
end
~~~

### Parameters
This endpoint does not need any parameter.
{: class="table table-striped"}


### Return type

[**Empty**](Empty.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="delete_gsuite"></a>

## -[**Empty**](Empty.html) delete_gsuite

Delete G Suite Identity Provider



Wraps DELETE /api/v2/identityproviders/gsuite 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::IdentityProviderApi.new

begin
  #Delete G Suite Identity Provider
  result = api_instance.delete_gsuite
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling IdentityProviderApi->delete_gsuite: #{e}"
end
~~~

### Parameters
This endpoint does not need any parameter.
{: class="table table-striped"}


### Return type

[**Empty**](Empty.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="delete_identitynow"></a>

## -[**Empty**](Empty.html) delete_identitynow

Delete IdentityNow Provider



Wraps DELETE /api/v2/identityproviders/identitynow 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::IdentityProviderApi.new

begin
  #Delete IdentityNow Provider
  result = api_instance.delete_identitynow
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling IdentityProviderApi->delete_identitynow: #{e}"
end
~~~

### Parameters
This endpoint does not need any parameter.
{: class="table table-striped"}


### Return type

[**Empty**](Empty.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="delete_okta"></a>

## -[**Empty**](Empty.html) delete_okta

Delete Okta Identity Provider



Wraps DELETE /api/v2/identityproviders/okta 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::IdentityProviderApi.new

begin
  #Delete Okta Identity Provider
  result = api_instance.delete_okta
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling IdentityProviderApi->delete_okta: #{e}"
end
~~~

### Parameters
This endpoint does not need any parameter.
{: class="table table-striped"}


### Return type

[**Empty**](Empty.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="delete_onelogin"></a>

## -[**Empty**](Empty.html) delete_onelogin

Delete OneLogin Identity Provider



Wraps DELETE /api/v2/identityproviders/onelogin 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::IdentityProviderApi.new

begin
  #Delete OneLogin Identity Provider
  result = api_instance.delete_onelogin
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling IdentityProviderApi->delete_onelogin: #{e}"
end
~~~

### Parameters
This endpoint does not need any parameter.
{: class="table table-striped"}


### Return type

[**Empty**](Empty.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="delete_ping"></a>

## -[**Empty**](Empty.html) delete_ping

Delete Ping Identity Provider



Wraps DELETE /api/v2/identityproviders/ping 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::IdentityProviderApi.new

begin
  #Delete Ping Identity Provider
  result = api_instance.delete_ping
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling IdentityProviderApi->delete_ping: #{e}"
end
~~~

### Parameters
This endpoint does not need any parameter.
{: class="table table-striped"}


### Return type

[**Empty**](Empty.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="delete_purecloud"></a>

## -[**Empty**](Empty.html) delete_purecloud

Delete PureCloud Identity Provider



Wraps DELETE /api/v2/identityproviders/purecloud 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::IdentityProviderApi.new

begin
  #Delete PureCloud Identity Provider
  result = api_instance.delete_purecloud
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling IdentityProviderApi->delete_purecloud: #{e}"
end
~~~

### Parameters
This endpoint does not need any parameter.
{: class="table table-striped"}


### Return type

[**Empty**](Empty.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="delete_salesforce"></a>

## -[**Empty**](Empty.html) delete_salesforce

Delete Salesforce Identity Provider



Wraps DELETE /api/v2/identityproviders/salesforce 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::IdentityProviderApi.new

begin
  #Delete Salesforce Identity Provider
  result = api_instance.delete_salesforce
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling IdentityProviderApi->delete_salesforce: #{e}"
end
~~~

### Parameters
This endpoint does not need any parameter.
{: class="table table-striped"}


### Return type

[**Empty**](Empty.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_adfs"></a>

## -[**ADFS**](ADFS.html) get_adfs

Get ADFS Identity Provider



Wraps GET /api/v2/identityproviders/adfs 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::IdentityProviderApi.new

begin
  #Get ADFS Identity Provider
  result = api_instance.get_adfs
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling IdentityProviderApi->get_adfs: #{e}"
end
~~~

### Parameters
This endpoint does not need any parameter.
{: class="table table-striped"}


### Return type

[**ADFS**](ADFS.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_cic"></a>

## -[**CustomerInteractionCenter**](CustomerInteractionCenter.html) get_cic

Get Customer Interaction Center (CIC) Identity Provider



Wraps GET /api/v2/identityproviders/cic 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::IdentityProviderApi.new

begin
  #Get Customer Interaction Center (CIC) Identity Provider
  result = api_instance.get_cic
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling IdentityProviderApi->get_cic: #{e}"
end
~~~

### Parameters
This endpoint does not need any parameter.
{: class="table table-striped"}


### Return type

[**CustomerInteractionCenter**](CustomerInteractionCenter.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_gsuite"></a>

## -[**GSuite**](GSuite.html) get_gsuite

Get G Suite Identity Provider



Wraps GET /api/v2/identityproviders/gsuite 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::IdentityProviderApi.new

begin
  #Get G Suite Identity Provider
  result = api_instance.get_gsuite
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling IdentityProviderApi->get_gsuite: #{e}"
end
~~~

### Parameters
This endpoint does not need any parameter.
{: class="table table-striped"}


### Return type

[**GSuite**](GSuite.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_identitynow"></a>

## -[**IdentityNow**](IdentityNow.html) get_identitynow

Get IdentityNow Provider



Wraps GET /api/v2/identityproviders/identitynow 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::IdentityProviderApi.new

begin
  #Get IdentityNow Provider
  result = api_instance.get_identitynow
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling IdentityProviderApi->get_identitynow: #{e}"
end
~~~

### Parameters
This endpoint does not need any parameter.
{: class="table table-striped"}


### Return type

[**IdentityNow**](IdentityNow.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_identityproviders"></a>

## -[**OAuthProviderEntityListing**](OAuthProviderEntityListing.html) get_identityproviders

The list of identity providers



Wraps GET /api/v2/identityproviders 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::IdentityProviderApi.new

begin
  #The list of identity providers
  result = api_instance.get_identityproviders
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling IdentityProviderApi->get_identityproviders: #{e}"
end
~~~

### Parameters
This endpoint does not need any parameter.
{: class="table table-striped"}


### Return type

[**OAuthProviderEntityListing**](OAuthProviderEntityListing.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_okta"></a>

## -[**Okta**](Okta.html) get_okta

Get Okta Identity Provider



Wraps GET /api/v2/identityproviders/okta 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::IdentityProviderApi.new

begin
  #Get Okta Identity Provider
  result = api_instance.get_okta
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling IdentityProviderApi->get_okta: #{e}"
end
~~~

### Parameters
This endpoint does not need any parameter.
{: class="table table-striped"}


### Return type

[**Okta**](Okta.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_onelogin"></a>

## -[**OneLogin**](OneLogin.html) get_onelogin

Get OneLogin Identity Provider



Wraps GET /api/v2/identityproviders/onelogin 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::IdentityProviderApi.new

begin
  #Get OneLogin Identity Provider
  result = api_instance.get_onelogin
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling IdentityProviderApi->get_onelogin: #{e}"
end
~~~

### Parameters
This endpoint does not need any parameter.
{: class="table table-striped"}


### Return type

[**OneLogin**](OneLogin.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_ping"></a>

## -[**PingIdentity**](PingIdentity.html) get_ping

Get Ping Identity Provider



Wraps GET /api/v2/identityproviders/ping 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::IdentityProviderApi.new

begin
  #Get Ping Identity Provider
  result = api_instance.get_ping
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling IdentityProviderApi->get_ping: #{e}"
end
~~~

### Parameters
This endpoint does not need any parameter.
{: class="table table-striped"}


### Return type

[**PingIdentity**](PingIdentity.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_purecloud"></a>

## -[**PureCloud**](PureCloud.html) get_purecloud

Get PureCloud Identity Provider



Wraps GET /api/v2/identityproviders/purecloud 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::IdentityProviderApi.new

begin
  #Get PureCloud Identity Provider
  result = api_instance.get_purecloud
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling IdentityProviderApi->get_purecloud: #{e}"
end
~~~

### Parameters
This endpoint does not need any parameter.
{: class="table table-striped"}


### Return type

[**PureCloud**](PureCloud.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_salesforce"></a>

## -[**Salesforce**](Salesforce.html) get_salesforce

Get Salesforce Identity Provider



Wraps GET /api/v2/identityproviders/salesforce 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::IdentityProviderApi.new

begin
  #Get Salesforce Identity Provider
  result = api_instance.get_salesforce
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling IdentityProviderApi->get_salesforce: #{e}"
end
~~~

### Parameters
This endpoint does not need any parameter.
{: class="table table-striped"}


### Return type

[**Salesforce**](Salesforce.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="put_adfs"></a>

## -[**OAuthProvider**](OAuthProvider.html) put_adfs(body)

Update/Create ADFS Identity Provider



Wraps PUT /api/v2/identityproviders/adfs 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::IdentityProviderApi.new

body = PureCloud::ADFS.new # ADFS | Provider


begin
  #Update/Create ADFS Identity Provider
  result = api_instance.put_adfs(body)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling IdentityProviderApi->put_adfs: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**ADFS**](ADFS.html)| Provider | 
{: class="table table-striped"}


### Return type

[**OAuthProvider**](OAuthProvider.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="put_cic"></a>

## -[**OAuthProvider**](OAuthProvider.html) put_cic(body)

Update/Create Customer Interaction Center (CIC) Identity Provider



Wraps PUT /api/v2/identityproviders/cic 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::IdentityProviderApi.new

body = PureCloud::CustomerInteractionCenter.new # CustomerInteractionCenter | Provider


begin
  #Update/Create Customer Interaction Center (CIC) Identity Provider
  result = api_instance.put_cic(body)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling IdentityProviderApi->put_cic: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**CustomerInteractionCenter**](CustomerInteractionCenter.html)| Provider | 
{: class="table table-striped"}


### Return type

[**OAuthProvider**](OAuthProvider.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="put_gsuite"></a>

## -[**OAuthProvider**](OAuthProvider.html) put_gsuite(body)

Update/Create G Suite Identity Provider



Wraps PUT /api/v2/identityproviders/gsuite 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::IdentityProviderApi.new

body = PureCloud::GSuite.new # GSuite | Provider


begin
  #Update/Create G Suite Identity Provider
  result = api_instance.put_gsuite(body)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling IdentityProviderApi->put_gsuite: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**GSuite**](GSuite.html)| Provider | 
{: class="table table-striped"}


### Return type

[**OAuthProvider**](OAuthProvider.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="put_identitynow"></a>

## -[**IdentityNow**](IdentityNow.html) put_identitynow(body)

Update/Create IdentityNow Provider



Wraps PUT /api/v2/identityproviders/identitynow 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::IdentityProviderApi.new

body = PureCloud::IdentityNow.new # IdentityNow | Provider


begin
  #Update/Create IdentityNow Provider
  result = api_instance.put_identitynow(body)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling IdentityProviderApi->put_identitynow: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**IdentityNow**](IdentityNow.html)| Provider | 
{: class="table table-striped"}


### Return type

[**IdentityNow**](IdentityNow.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="put_okta"></a>

## -[**OAuthProvider**](OAuthProvider.html) put_okta(body)

Update/Create Okta Identity Provider



Wraps PUT /api/v2/identityproviders/okta 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::IdentityProviderApi.new

body = PureCloud::Okta.new # Okta | Provider


begin
  #Update/Create Okta Identity Provider
  result = api_instance.put_okta(body)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling IdentityProviderApi->put_okta: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**Okta**](Okta.html)| Provider | 
{: class="table table-striped"}


### Return type

[**OAuthProvider**](OAuthProvider.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="put_onelogin"></a>

## -[**OAuthProvider**](OAuthProvider.html) put_onelogin(body)

Update/Create OneLogin Identity Provider



Wraps PUT /api/v2/identityproviders/onelogin 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::IdentityProviderApi.new

body = PureCloud::OneLogin.new # OneLogin | Provider


begin
  #Update/Create OneLogin Identity Provider
  result = api_instance.put_onelogin(body)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling IdentityProviderApi->put_onelogin: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**OneLogin**](OneLogin.html)| Provider | 
{: class="table table-striped"}


### Return type

[**OAuthProvider**](OAuthProvider.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="put_ping"></a>

## -[**OAuthProvider**](OAuthProvider.html) put_ping(body)

Update/Create Ping Identity Provider



Wraps PUT /api/v2/identityproviders/ping 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::IdentityProviderApi.new

body = PureCloud::PingIdentity.new # PingIdentity | Provider


begin
  #Update/Create Ping Identity Provider
  result = api_instance.put_ping(body)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling IdentityProviderApi->put_ping: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**PingIdentity**](PingIdentity.html)| Provider | 
{: class="table table-striped"}


### Return type

[**OAuthProvider**](OAuthProvider.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="put_purecloud"></a>

## -[**OAuthProvider**](OAuthProvider.html) put_purecloud(body)

Update/Create PureCloud Identity Provider



Wraps PUT /api/v2/identityproviders/purecloud 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::IdentityProviderApi.new

body = PureCloud::PureCloud.new # PureCloud | Provider


begin
  #Update/Create PureCloud Identity Provider
  result = api_instance.put_purecloud(body)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling IdentityProviderApi->put_purecloud: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**PureCloud**](PureCloud.html)| Provider | 
{: class="table table-striped"}


### Return type

[**OAuthProvider**](OAuthProvider.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="put_salesforce"></a>

## -[**OAuthProvider**](OAuthProvider.html) put_salesforce(body)

Update/Create Salesforce Identity Provider



Wraps PUT /api/v2/identityproviders/salesforce 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::IdentityProviderApi.new

body = PureCloud::Salesforce.new # Salesforce | Provider


begin
  #Update/Create Salesforce Identity Provider
  result = api_instance.put_salesforce(body)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling IdentityProviderApi->put_salesforce: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**Salesforce**](Salesforce.html)| Provider | 
{: class="table table-striped"}


### Return type

[**OAuthProvider**](OAuthProvider.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



