---
title: OAuthClient
---
## PureCloud::OAuthClient

## Properties

|Name | Type | Description | Notes|
|------------ | ------------- | ------------- | -------------|
| **id** | **String** | The globally unique identifier for the object. | [optional] |
| **name** | **String** | The name of the OAuth client. | |
| **access_token_validity_seconds** | **Integer** | The number of seconds, between 5mins and 48hrs, until tokens created with this client expire. If this field is omitted, a default of 24 hours will be applied. | [optional] |
| **description** | **String** |  | [optional] |
| **registered_redirect_uri** | **Array&lt;String&gt;** | List of allowed callbacks for this client. For example: https://myap.example.com/auth/callback | [optional] |
| **secret** | **String** | System created secret assigned to this client. Secrets are required for code authorization and client credential grants. | [optional] |
| **role_ids** | **Array&lt;String&gt;** | Roles assigned to this client. Roles only apply to clients using the client_credential grant | [optional] |
| **authorized_grant_type** | **String** | The OAuth Grant/Client type supported by this client.\nCode Authorization Grant/Client type - Preferred client type where the Client ID and Secret are required to create tokens. Used where the secret can be secured.\nImplicit grant type - Client ID only is required to create tokens. Used in browser and mobile apps where the secret can not be secured.\nSAML2-Bearer extension grant type - SAML2 assertion provider for user authentication at the token endpoint.\nClient Credential grant type - Used to created access tokens that are tied only to the client.\n | |
| **self_uri** | **String** | The URI for this object | [optional] |
{: class="table table-striped"}


