---
title: RoutingApi
---

## PureCloud::RoutingApi

All URIs are relative to *https://api.mypurecloud.com*

Method | Description
------------- | ------------- | -------------
[**delete_email_domains_domain_id**](RoutingApi.html#delete_email_domains_domain_id) | Delete a domain
[**delete_email_domains_domainname_routes_route_id**](RoutingApi.html#delete_email_domains_domainname_routes_route_id) | Delete a route
[**delete_queues_queue_id**](RoutingApi.html#delete_queues_queue_id) | Delete a queue
[**delete_queues_queue_id_users_member_id**](RoutingApi.html#delete_queues_queue_id_users_member_id) | Delete queue member
[**delete_queues_queue_id_wrapupcodes_code_id**](RoutingApi.html#delete_queues_queue_id_wrapupcodes_code_id) | Delete a wrap-up code from a queue
[**delete_skills_skill_id**](RoutingApi.html#delete_skills_skill_id) | Delete Routing Skill
[**delete_user_id_routingskills_skill_id**](RoutingApi.html#delete_user_id_routingskills_skill_id) | Remove routing skill from user
[**delete_utilization**](RoutingApi.html#delete_utilization) | Delete utilization settings and revert to system defaults.
[**delete_wrapupcodes_code_id**](RoutingApi.html#delete_wrapupcodes_code_id) | Delete wrap-up code
[**get_email_domains**](RoutingApi.html#get_email_domains) | Get domains
[**get_email_domains_domain_id**](RoutingApi.html#get_email_domains_domain_id) | Get domain
[**get_email_domains_domainname_routes**](RoutingApi.html#get_email_domains_domainname_routes) | Get routes
[**get_email_domains_domainname_routes_route_id**](RoutingApi.html#get_email_domains_domainname_routes_route_id) | Get a route
[**get_email_setup**](RoutingApi.html#get_email_setup) | Get email setup
[**get_languages**](RoutingApi.html#get_languages) | Get the list of supported languages.
[**get_queues**](RoutingApi.html#get_queues) | Get list of queues.
[**get_queues_queue_id**](RoutingApi.html#get_queues_queue_id) | Get details about this queue.
[**get_queues_queue_id_estimatedwaittime**](RoutingApi.html#get_queues_queue_id_estimatedwaittime) | Get Estimated Wait Time
[**get_queues_queue_id_mediatypes_mediatype_estimatedwaittime**](RoutingApi.html#get_queues_queue_id_mediatypes_mediatype_estimatedwaittime) | Get Estimated Wait Time
[**get_queues_queue_id_users**](RoutingApi.html#get_queues_queue_id_users) | Get the members of this queue
[**get_queues_queue_id_wrapupcodes**](RoutingApi.html#get_queues_queue_id_wrapupcodes) | Get the wrap-up codes for a queue
[**get_skills**](RoutingApi.html#get_skills) | Get the list of routing skills.
[**get_skills_skill_id**](RoutingApi.html#get_skills_skill_id) | Get Routing Skill
[**get_user_id_routingskills**](RoutingApi.html#get_user_id_routingskills) | List routing skills for user
[**get_utilization**](RoutingApi.html#get_utilization) | Get the utilization settings.
[**get_wrapupcodes**](RoutingApi.html#get_wrapupcodes) | Get list of wrapup codes.
[**get_wrapupcodes_code_id**](RoutingApi.html#get_wrapupcodes_code_id) | Get details about this wrap-up code.
[**patch_queues_queue_id_users**](RoutingApi.html#patch_queues_queue_id_users) | Join or unjoin a set of users for a queue
[**patch_queues_queue_id_users_member_id**](RoutingApi.html#patch_queues_queue_id_users_member_id) | Update the ring number of joined status for a User in a Queue
[**post_email_domains**](RoutingApi.html#post_email_domains) | Create a domain
[**post_email_domains_domainname_routes**](RoutingApi.html#post_email_domains_domainname_routes) | Create a route
[**post_languages**](RoutingApi.html#post_languages) | Create Language
[**post_queues**](RoutingApi.html#post_queues) | Create queue
[**post_queues_observations_query**](RoutingApi.html#post_queues_observations_query) | Query for queue observations
[**post_queues_queue_id_users**](RoutingApi.html#post_queues_queue_id_users) | Bulk add or delete up to 100 queue members
[**post_queues_queue_id_wrapupcodes**](RoutingApi.html#post_queues_queue_id_wrapupcodes) | Add up to 100 wrap-up codes to a queue
[**post_skills**](RoutingApi.html#post_skills) | Create Skill
[**post_user_id_routingskills**](RoutingApi.html#post_user_id_routingskills) | Add routing skill to user
[**post_wrapupcodes**](RoutingApi.html#post_wrapupcodes) | Create a wrap-up code
[**put_email_domains_domainname_routes_route_id**](RoutingApi.html#put_email_domains_domainname_routes_route_id) | Update a route
[**put_queues_queue_id**](RoutingApi.html#put_queues_queue_id) | Update a queue
[**put_user_id_routingskills_skill_id**](RoutingApi.html#put_user_id_routingskills_skill_id) | Update routing skill proficiency or state.
[**put_utilization**](RoutingApi.html#put_utilization) | Update the utilization settings.
[**put_wrapupcodes_code_id**](RoutingApi.html#put_wrapupcodes_code_id) | Update wrap-up code
{: class="table table-striped"}

<a name="delete_email_domains_domain_id"></a>

## -String** delete_email_domains_domain_id(domain_id)

Delete a domain



Wraps DELETE /api/v2/routing/email/domains/{domainId} 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::RoutingApi.new

domain_id = "domain_id_example" # String | domain ID


begin
  #Delete a domain
  result = api_instance.delete_email_domains_domain_id(domain_id)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling RoutingApi->delete_email_domains_domain_id: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **domain_id** | **String**| domain ID | 
{: class="table table-striped"}


### Return type

**String**

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="delete_email_domains_domainname_routes_route_id"></a>

## -String** delete_email_domains_domainname_routes_route_id(domain_name, route_id)

Delete a route



Wraps DELETE /api/v2/routing/email/domains/{domainName}/routes/{routeId} 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::RoutingApi.new

domain_name = "domain_name_example" # String | email domain

route_id = "route_id_example" # String | route ID


begin
  #Delete a route
  result = api_instance.delete_email_domains_domainname_routes_route_id(domain_name, route_id)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling RoutingApi->delete_email_domains_domainname_routes_route_id: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **domain_name** | **String**| email domain | 
 **route_id** | **String**| route ID | 
{: class="table table-striped"}


### Return type

**String**

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="delete_queues_queue_id"></a>

## -String** delete_queues_queue_id(queue_id, opts)

Delete a queue



Wraps DELETE /api/v2/routing/queues/{queueId} 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::RoutingApi.new

queue_id = "queue_id_example" # String | Queue ID

opts = { 
  force_delete: true # BOOLEAN | forceDelete
}

begin
  #Delete a queue
  result = api_instance.delete_queues_queue_id(queue_id, opts)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling RoutingApi->delete_queues_queue_id: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **queue_id** | **String**| Queue ID | 
 **force_delete** | **BOOLEAN**| forceDelete | [optional] 
{: class="table table-striped"}


### Return type

**String**

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="delete_queues_queue_id_users_member_id"></a>

## -String** delete_queues_queue_id_users_member_id(queue_id, member_id)

Delete queue member



Wraps DELETE /api/v2/routing/queues/{queueId}/users/{memberId} 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::RoutingApi.new

queue_id = "queue_id_example" # String | Queue ID

member_id = "member_id_example" # String | Member ID


begin
  #Delete queue member
  result = api_instance.delete_queues_queue_id_users_member_id(queue_id, member_id)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling RoutingApi->delete_queues_queue_id_users_member_id: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **queue_id** | **String**| Queue ID | 
 **member_id** | **String**| Member ID | 
{: class="table table-striped"}


### Return type

**String**

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="delete_queues_queue_id_wrapupcodes_code_id"></a>

## -String** delete_queues_queue_id_wrapupcodes_code_id(queue_id, code_id)

Delete a wrap-up code from a queue



Wraps DELETE /api/v2/routing/queues/{queueId}/wrapupcodes/{codeId} 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::RoutingApi.new

queue_id = "queue_id_example" # String | Queue ID

code_id = "code_id_example" # String | Code ID


begin
  #Delete a wrap-up code from a queue
  result = api_instance.delete_queues_queue_id_wrapupcodes_code_id(queue_id, code_id)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling RoutingApi->delete_queues_queue_id_wrapupcodes_code_id: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **queue_id** | **String**| Queue ID | 
 **code_id** | **String**| Code ID | 
{: class="table table-striped"}


### Return type

**String**

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="delete_skills_skill_id"></a>

## -String** delete_skills_skill_id(skill_id)

Delete Routing Skill



Wraps DELETE /api/v2/routing/skills/{skillId} 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::RoutingApi.new

skill_id = "skill_id_example" # String | Skill ID


begin
  #Delete Routing Skill
  result = api_instance.delete_skills_skill_id(skill_id)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling RoutingApi->delete_skills_skill_id: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **skill_id** | **String**| Skill ID | 
{: class="table table-striped"}


### Return type

**String**

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="delete_user_id_routingskills_skill_id"></a>

## -String** delete_user_id_routingskills_skill_id(user_id, skill_id)

Remove routing skill from user



Wraps DELETE /api/v2/users/{userId}/routingskills/{skillId} 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::RoutingApi.new

user_id = "user_id_example" # String | User ID

skill_id = "skill_id_example" # String | skillId


begin
  #Remove routing skill from user
  result = api_instance.delete_user_id_routingskills_skill_id(user_id, skill_id)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling RoutingApi->delete_user_id_routingskills_skill_id: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **user_id** | **String**| User ID | 
 **skill_id** | **String**| skillId | 
{: class="table table-striped"}


### Return type

**String**

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="delete_utilization"></a>

## -String** delete_utilization

Delete utilization settings and revert to system defaults.



Wraps DELETE /api/v2/routing/utilization 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::RoutingApi.new

begin
  #Delete utilization settings and revert to system defaults.
  result = api_instance.delete_utilization
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling RoutingApi->delete_utilization: #{e}"
end
~~~

### Parameters
This endpoint does not need any parameter.
{: class="table table-striped"}


### Return type

**String**

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="delete_wrapupcodes_code_id"></a>

## -String** delete_wrapupcodes_code_id(code_id)

Delete wrap-up code



Wraps DELETE /api/v2/routing/wrapupcodes/{codeId} 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::RoutingApi.new

code_id = "code_id_example" # String | Wrapup Code ID


begin
  #Delete wrap-up code
  result = api_instance.delete_wrapupcodes_code_id(code_id)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling RoutingApi->delete_wrapupcodes_code_id: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **code_id** | **String**| Wrapup Code ID | 
{: class="table table-striped"}


### Return type

**String**

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_email_domains"></a>

## -[**InboundDomainEntityListing**](InboundDomainEntityListing.html) get_email_domains

Get domains



Wraps GET /api/v2/routing/email/domains 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::RoutingApi.new

begin
  #Get domains
  result = api_instance.get_email_domains
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling RoutingApi->get_email_domains: #{e}"
end
~~~

### Parameters
This endpoint does not need any parameter.
{: class="table table-striped"}


### Return type

[**InboundDomainEntityListing**](InboundDomainEntityListing.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_email_domains_domain_id"></a>

## -[**InboundDomain**](InboundDomain.html) get_email_domains_domain_id(domain_id)

Get domain



Wraps GET /api/v2/routing/email/domains/{domainId} 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::RoutingApi.new

domain_id = "domain_id_example" # String | domain ID


begin
  #Get domain
  result = api_instance.get_email_domains_domain_id(domain_id)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling RoutingApi->get_email_domains_domain_id: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **domain_id** | **String**| domain ID | 
{: class="table table-striped"}


### Return type

[**InboundDomain**](InboundDomain.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_email_domains_domainname_routes"></a>

## -[**InboundRouteEntityListing**](InboundRouteEntityListing.html) get_email_domains_domainname_routes(domain_name, opts)

Get routes



Wraps GET /api/v2/routing/email/domains/{domainName}/routes 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::RoutingApi.new

domain_name = "domain_name_example" # String | email domain

opts = { 
  page_size: 25, # Integer | Page size
  page_number: 1, # Integer | Page number
  pattern: "pattern_example" # String | Filter routes by the route's pattern property
}

begin
  #Get routes
  result = api_instance.get_email_domains_domainname_routes(domain_name, opts)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling RoutingApi->get_email_domains_domainname_routes: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **domain_name** | **String**| email domain | 
 **page_size** | **Integer**| Page size | [optional] [default to 25]
 **page_number** | **Integer**| Page number | [optional] [default to 1]
 **pattern** | **String**| Filter routes by the route&#39;s pattern property | [optional] 
{: class="table table-striped"}


### Return type

[**InboundRouteEntityListing**](InboundRouteEntityListing.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_email_domains_domainname_routes_route_id"></a>

## -[**InboundRoute**](InboundRoute.html) get_email_domains_domainname_routes_route_id(domain_name, route_id)

Get a route



Wraps GET /api/v2/routing/email/domains/{domainName}/routes/{routeId} 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::RoutingApi.new

domain_name = "domain_name_example" # String | email domain

route_id = "route_id_example" # String | route ID


begin
  #Get a route
  result = api_instance.get_email_domains_domainname_routes_route_id(domain_name, route_id)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling RoutingApi->get_email_domains_domainname_routes_route_id: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **domain_name** | **String**| email domain | 
 **route_id** | **String**| route ID | 
{: class="table table-striped"}


### Return type

[**InboundRoute**](InboundRoute.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_email_setup"></a>

## -[**EmailSetup**](EmailSetup.html) get_email_setup

Get email setup



Wraps GET /api/v2/routing/email/setup 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::RoutingApi.new

begin
  #Get email setup
  result = api_instance.get_email_setup
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling RoutingApi->get_email_setup: #{e}"
end
~~~

### Parameters
This endpoint does not need any parameter.
{: class="table table-striped"}


### Return type

[**EmailSetup**](EmailSetup.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_languages"></a>

## -[**LanguageEntityListing**](LanguageEntityListing.html) get_languages(opts)

Get the list of supported languages.



Wraps GET /api/v2/routing/languages 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::RoutingApi.new

opts = { 
  page_size: 25, # Integer | Page size
  page_number: 1, # Integer | Page number
  sort_order: "ASC", # String | Ascending or descending sort order
  name: "name_example" # String | Name
}

begin
  #Get the list of supported languages.
  result = api_instance.get_languages(opts)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling RoutingApi->get_languages: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **page_size** | **Integer**| Page size | [optional] [default to 25]
 **page_number** | **Integer**| Page number | [optional] [default to 1]
 **sort_order** | **String**| Ascending or descending sort order | [optional] [default to ASC]
 **name** | **String**| Name | [optional] 
{: class="table table-striped"}


### Return type

[**LanguageEntityListing**](LanguageEntityListing.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_queues"></a>

## -[**QueueEntityListing**](QueueEntityListing.html) get_queues(opts)

Get list of queues.



Wraps GET /api/v2/routing/queues 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::RoutingApi.new

opts = { 
  page_size: 25, # Integer | Page size
  page_number: 1, # Integer | Page number
  sort_by: "name", # String | Sort by
  name: "name_example", # String | Name
  active: true # BOOLEAN | Active
}

begin
  #Get list of queues.
  result = api_instance.get_queues(opts)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling RoutingApi->get_queues: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **page_size** | **Integer**| Page size | [optional] [default to 25]
 **page_number** | **Integer**| Page number | [optional] [default to 1]
 **sort_by** | **String**| Sort by | [optional] [default to name]
 **name** | **String**| Name | [optional] 
 **active** | **BOOLEAN**| Active | [optional] 
{: class="table table-striped"}


### Return type

[**QueueEntityListing**](QueueEntityListing.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_queues_queue_id"></a>

## -[**Queue**](Queue.html) get_queues_queue_id(queue_id)

Get details about this queue.



Wraps GET /api/v2/routing/queues/{queueId} 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::RoutingApi.new

queue_id = "queue_id_example" # String | Queue ID


begin
  #Get details about this queue.
  result = api_instance.get_queues_queue_id(queue_id)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling RoutingApi->get_queues_queue_id: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **queue_id** | **String**| Queue ID | 
{: class="table table-striped"}


### Return type

[**Queue**](Queue.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_queues_queue_id_estimatedwaittime"></a>

## -[**EstimatedWaitTimePredictions**](EstimatedWaitTimePredictions.html) get_queues_queue_id_estimatedwaittime(queue_id, opts)

Get Estimated Wait Time



Wraps GET /api/v2/routing/queues/{queueId}/estimatedwaittime 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::RoutingApi.new

queue_id = "queue_id_example" # String | queueId

opts = { 
  conversation_id: "conversation_id_example" # String | conversationId
}

begin
  #Get Estimated Wait Time
  result = api_instance.get_queues_queue_id_estimatedwaittime(queue_id, opts)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling RoutingApi->get_queues_queue_id_estimatedwaittime: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **queue_id** | **String**| queueId | 
 **conversation_id** | **String**| conversationId | [optional] 
{: class="table table-striped"}


### Return type

[**EstimatedWaitTimePredictions**](EstimatedWaitTimePredictions.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_queues_queue_id_mediatypes_mediatype_estimatedwaittime"></a>

## -[**EstimatedWaitTimePredictions**](EstimatedWaitTimePredictions.html) get_queues_queue_id_mediatypes_mediatype_estimatedwaittime(queue_id, media_type)

Get Estimated Wait Time



Wraps GET /api/v2/routing/queues/{queueId}/mediatypes/{mediaType}/estimatedwaittime 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::RoutingApi.new

queue_id = "queue_id_example" # String | queueId

media_type = "media_type_example" # String | mediaType


begin
  #Get Estimated Wait Time
  result = api_instance.get_queues_queue_id_mediatypes_mediatype_estimatedwaittime(queue_id, media_type)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling RoutingApi->get_queues_queue_id_mediatypes_mediatype_estimatedwaittime: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **queue_id** | **String**| queueId | 
 **media_type** | **String**| mediaType | 
{: class="table table-striped"}


### Return type

[**EstimatedWaitTimePredictions**](EstimatedWaitTimePredictions.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_queues_queue_id_users"></a>

## -[**QueueMemberEntityListing**](QueueMemberEntityListing.html) get_queues_queue_id_users(queue_id, opts)

Get the members of this queue



Wraps GET /api/v2/routing/queues/{queueId}/users 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::RoutingApi.new

queue_id = "queue_id_example" # String | Queue ID

opts = { 
  page_size: 25, # Integer | Page size
  page_number: 1, # Integer | Page number
  sort_by: "name", # String | Sort by
  expand: ["expand_example"], # Array<String> | Which fields, if any, to expand.
  joined: true, # BOOLEAN | Filter by joined status
  name: "name_example", # String | Filter by queue member name
  profile_skills: ["profile_skills_example"], # Array<String> | Filter by profile skill
  skills: ["skills_example"], # Array<String> | Filter by skill
  languages: ["languages_example"], # Array<String> | Filter by language
  routing_status: ["routing_status_example"], # Array<String> | Filter by routing status
  presence: ["presence_example"] # Array<String> | Filter by presence
}

begin
  #Get the members of this queue
  result = api_instance.get_queues_queue_id_users(queue_id, opts)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling RoutingApi->get_queues_queue_id_users: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **queue_id** | **String**| Queue ID | 
 **page_size** | **Integer**| Page size | [optional] [default to 25]
 **page_number** | **Integer**| Page number | [optional] [default to 1]
 **sort_by** | **String**| Sort by | [optional] [default to name]
 **expand** | [**Array&lt;String&gt;**](String.html)| Which fields, if any, to expand. | [optional] 
 **joined** | **BOOLEAN**| Filter by joined status | [optional] 
 **name** | **String**| Filter by queue member name | [optional] 
 **profile_skills** | [**Array&lt;String&gt;**](String.html)| Filter by profile skill | [optional] 
 **skills** | [**Array&lt;String&gt;**](String.html)| Filter by skill | [optional] 
 **languages** | [**Array&lt;String&gt;**](String.html)| Filter by language | [optional] 
 **routing_status** | [**Array&lt;String&gt;**](String.html)| Filter by routing status | [optional] 
 **presence** | [**Array&lt;String&gt;**](String.html)| Filter by presence | [optional] 
{: class="table table-striped"}


### Return type

[**QueueMemberEntityListing**](QueueMemberEntityListing.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_queues_queue_id_wrapupcodes"></a>

## -[**WrapupCodeEntityListing**](WrapupCodeEntityListing.html) get_queues_queue_id_wrapupcodes(queue_id)

Get the wrap-up codes for a queue



Wraps GET /api/v2/routing/queues/{queueId}/wrapupcodes 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::RoutingApi.new

queue_id = "queue_id_example" # String | Queue ID


begin
  #Get the wrap-up codes for a queue
  result = api_instance.get_queues_queue_id_wrapupcodes(queue_id)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling RoutingApi->get_queues_queue_id_wrapupcodes: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **queue_id** | **String**| Queue ID | 
{: class="table table-striped"}


### Return type

[**WrapupCodeEntityListing**](WrapupCodeEntityListing.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_skills"></a>

## -[**SkillEntityListing**](SkillEntityListing.html) get_skills(opts)

Get the list of routing skills.



Wraps GET /api/v2/routing/skills 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::RoutingApi.new

opts = { 
  page_size: 25, # Integer | Page size
  page_number: 1, # Integer | Page number
  name: "name_example" # String | Filter for results that start with this value
}

begin
  #Get the list of routing skills.
  result = api_instance.get_skills(opts)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling RoutingApi->get_skills: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **page_size** | **Integer**| Page size | [optional] [default to 25]
 **page_number** | **Integer**| Page number | [optional] [default to 1]
 **name** | **String**| Filter for results that start with this value | [optional] 
{: class="table table-striped"}


### Return type

[**SkillEntityListing**](SkillEntityListing.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_skills_skill_id"></a>

## -[**RoutingSkill**](RoutingSkill.html) get_skills_skill_id(skill_id)

Get Routing Skill



Wraps GET /api/v2/routing/skills/{skillId} 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::RoutingApi.new

skill_id = "skill_id_example" # String | Skill ID


begin
  #Get Routing Skill
  result = api_instance.get_skills_skill_id(skill_id)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling RoutingApi->get_skills_skill_id: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **skill_id** | **String**| Skill ID | 
{: class="table table-striped"}


### Return type

[**RoutingSkill**](RoutingSkill.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_user_id_routingskills"></a>

## -[**UserSkillEntityListing**](UserSkillEntityListing.html) get_user_id_routingskills(user_id, opts)

List routing skills for user



Wraps GET /api/v2/users/{userId}/routingskills 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::RoutingApi.new

user_id = "user_id_example" # String | User ID

opts = { 
  page_size: 25, # Integer | Page size
  page_number: 1, # Integer | Page number
  sort_order: "ASC" # String | Ascending or descending sort order
}

begin
  #List routing skills for user
  result = api_instance.get_user_id_routingskills(user_id, opts)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling RoutingApi->get_user_id_routingskills: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **user_id** | **String**| User ID | 
 **page_size** | **Integer**| Page size | [optional] [default to 25]
 **page_number** | **Integer**| Page number | [optional] [default to 1]
 **sort_order** | **String**| Ascending or descending sort order | [optional] [default to ASC]
{: class="table table-striped"}


### Return type

[**UserSkillEntityListing**](UserSkillEntityListing.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_utilization"></a>

## -[**Utilization**](Utilization.html) get_utilization

Get the utilization settings.



Wraps GET /api/v2/routing/utilization 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::RoutingApi.new

begin
  #Get the utilization settings.
  result = api_instance.get_utilization
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling RoutingApi->get_utilization: #{e}"
end
~~~

### Parameters
This endpoint does not need any parameter.
{: class="table table-striped"}


### Return type

[**Utilization**](Utilization.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_wrapupcodes"></a>

## -[**WrapupCodeEntityListing**](WrapupCodeEntityListing.html) get_wrapupcodes(opts)

Get list of wrapup codes.



Wraps GET /api/v2/routing/wrapupcodes 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::RoutingApi.new

opts = { 
  page_size: 25, # Integer | Page size
  page_number: 1, # Integer | Page number
  sort_by: "name" # String | Sort by
}

begin
  #Get list of wrapup codes.
  result = api_instance.get_wrapupcodes(opts)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling RoutingApi->get_wrapupcodes: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **page_size** | **Integer**| Page size | [optional] [default to 25]
 **page_number** | **Integer**| Page number | [optional] [default to 1]
 **sort_by** | **String**| Sort by | [optional] [default to name]
{: class="table table-striped"}


### Return type

[**WrapupCodeEntityListing**](WrapupCodeEntityListing.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="get_wrapupcodes_code_id"></a>

## -[**WrapupCode**](WrapupCode.html) get_wrapupcodes_code_id(code_id)

Get details about this wrap-up code.



Wraps GET /api/v2/routing/wrapupcodes/{codeId} 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::RoutingApi.new

code_id = "code_id_example" # String | Wrapup Code ID


begin
  #Get details about this wrap-up code.
  result = api_instance.get_wrapupcodes_code_id(code_id)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling RoutingApi->get_wrapupcodes_code_id: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **code_id** | **String**| Wrapup Code ID | 
{: class="table table-striped"}


### Return type

[**WrapupCode**](WrapupCode.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="patch_queues_queue_id_users"></a>

## -[**QueueMemberEntityListing**](QueueMemberEntityListing.html) patch_queues_queue_id_users(queue_id, body)

Join or unjoin a set of users for a queue



Wraps PATCH /api/v2/routing/queues/{queueId}/users 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::RoutingApi.new

queue_id = "queue_id_example" # String | Queue ID

body = [PureCloud::QueueMember.new] # Array<QueueMember> | Queue Members


begin
  #Join or unjoin a set of users for a queue
  result = api_instance.patch_queues_queue_id_users(queue_id, body)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling RoutingApi->patch_queues_queue_id_users: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **queue_id** | **String**| Queue ID | 
 **body** | [**Array&lt;QueueMember&gt;**](QueueMember.html)| Queue Members | 
{: class="table table-striped"}


### Return type

[**QueueMemberEntityListing**](QueueMemberEntityListing.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="patch_queues_queue_id_users_member_id"></a>

## -[**QueueMember**](QueueMember.html) patch_queues_queue_id_users_member_id(queue_id, member_id, body)

Update the ring number of joined status for a User in a Queue



Wraps PATCH /api/v2/routing/queues/{queueId}/users/{memberId} 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::RoutingApi.new

queue_id = "queue_id_example" # String | Queue ID

member_id = "member_id_example" # String | Member ID

body = PureCloud::QueueMember.new # QueueMember | Queue Member


begin
  #Update the ring number of joined status for a User in a Queue
  result = api_instance.patch_queues_queue_id_users_member_id(queue_id, member_id, body)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling RoutingApi->patch_queues_queue_id_users_member_id: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **queue_id** | **String**| Queue ID | 
 **member_id** | **String**| Member ID | 
 **body** | [**QueueMember**](QueueMember.html)| Queue Member | 
{: class="table table-striped"}


### Return type

[**QueueMember**](QueueMember.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="post_email_domains"></a>

## -[**InboundDomain**](InboundDomain.html) post_email_domains(body)

Create a domain



Wraps POST /api/v2/routing/email/domains 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::RoutingApi.new

body = PureCloud::InboundDomain.new # InboundDomain | Domain


begin
  #Create a domain
  result = api_instance.post_email_domains(body)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling RoutingApi->post_email_domains: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**InboundDomain**](InboundDomain.html)| Domain | 
{: class="table table-striped"}


### Return type

[**InboundDomain**](InboundDomain.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="post_email_domains_domainname_routes"></a>

## -[**InboundRoute**](InboundRoute.html) post_email_domains_domainname_routes(domain_name, body)

Create a route



Wraps POST /api/v2/routing/email/domains/{domainName}/routes 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::RoutingApi.new

domain_name = "domain_name_example" # String | email domain

body = PureCloud::InboundRoute.new # InboundRoute | Route


begin
  #Create a route
  result = api_instance.post_email_domains_domainname_routes(domain_name, body)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling RoutingApi->post_email_domains_domainname_routes: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **domain_name** | **String**| email domain | 
 **body** | [**InboundRoute**](InboundRoute.html)| Route | 
{: class="table table-striped"}


### Return type

[**InboundRoute**](InboundRoute.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="post_languages"></a>

## -[**Language**](Language.html) post_languages(body)

Create Language



Wraps POST /api/v2/routing/languages 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::RoutingApi.new

body = PureCloud::Language.new # Language | Language


begin
  #Create Language
  result = api_instance.post_languages(body)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling RoutingApi->post_languages: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**Language**](Language.html)| Language | 
{: class="table table-striped"}


### Return type

[**Language**](Language.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="post_queues"></a>

## -[**Queue**](Queue.html) post_queues(body)

Create queue



Wraps POST /api/v2/routing/queues 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::RoutingApi.new

body = PureCloud::CreateQueueRequest.new # CreateQueueRequest | Queue


begin
  #Create queue
  result = api_instance.post_queues(body)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling RoutingApi->post_queues: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**CreateQueueRequest**](CreateQueueRequest.html)| Queue | 
{: class="table table-striped"}


### Return type

[**Queue**](Queue.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="post_queues_observations_query"></a>

## -[**QualifierMappingObservationQueryResponse**](QualifierMappingObservationQueryResponse.html) post_queues_observations_query(body)

Query for queue observations



Wraps POST /api/v2/analytics/queues/observations/query 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::RoutingApi.new

body = PureCloud::ObservationQuery.new # ObservationQuery | query


begin
  #Query for queue observations
  result = api_instance.post_queues_observations_query(body)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling RoutingApi->post_queues_observations_query: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**ObservationQuery**](ObservationQuery.html)| query | 
{: class="table table-striped"}


### Return type

[**QualifierMappingObservationQueryResponse**](QualifierMappingObservationQueryResponse.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="post_queues_queue_id_users"></a>

## -String** post_queues_queue_id_users(queue_id, body, opts)

Bulk add or delete up to 100 queue members



Wraps POST /api/v2/routing/queues/{queueId}/users 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::RoutingApi.new

queue_id = "queue_id_example" # String | Queue ID

body = [PureCloud::QueueMember.new] # Array<QueueMember> | Queue Members

opts = { 
  delete: false # BOOLEAN | True to delete queue members
}

begin
  #Bulk add or delete up to 100 queue members
  result = api_instance.post_queues_queue_id_users(queue_id, body, opts)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling RoutingApi->post_queues_queue_id_users: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **queue_id** | **String**| Queue ID | 
 **body** | [**Array&lt;QueueMember&gt;**](QueueMember.html)| Queue Members | 
 **delete** | **BOOLEAN**| True to delete queue members | [optional] [default to false]
{: class="table table-striped"}


### Return type

**String**

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="post_queues_queue_id_wrapupcodes"></a>

## -[**Array&lt;WrapupCode&gt;**](WrapupCode.html) post_queues_queue_id_wrapupcodes(queue_id, body)

Add up to 100 wrap-up codes to a queue



Wraps POST /api/v2/routing/queues/{queueId}/wrapupcodes 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::RoutingApi.new

queue_id = "queue_id_example" # String | Queue ID

body = [PureCloud::WrapupCode.new] # Array<WrapupCode> | List of wrapup codes


begin
  #Add up to 100 wrap-up codes to a queue
  result = api_instance.post_queues_queue_id_wrapupcodes(queue_id, body)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling RoutingApi->post_queues_queue_id_wrapupcodes: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **queue_id** | **String**| Queue ID | 
 **body** | [**Array&lt;WrapupCode&gt;**](WrapupCode.html)| List of wrapup codes | 
{: class="table table-striped"}


### Return type

[**Array&lt;WrapupCode&gt;**](WrapupCode.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="post_skills"></a>

## -[**RoutingSkill**](RoutingSkill.html) post_skills(body)

Create Skill



Wraps POST /api/v2/routing/skills 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::RoutingApi.new

body = PureCloud::RoutingSkill.new # RoutingSkill | Skill


begin
  #Create Skill
  result = api_instance.post_skills(body)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling RoutingApi->post_skills: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**RoutingSkill**](RoutingSkill.html)| Skill | 
{: class="table table-striped"}


### Return type

[**RoutingSkill**](RoutingSkill.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="post_user_id_routingskills"></a>

## -[**UserRoutingSkill**](UserRoutingSkill.html) post_user_id_routingskills(user_id, body)

Add routing skill to user



Wraps POST /api/v2/users/{userId}/routingskills 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::RoutingApi.new

user_id = "user_id_example" # String | User ID

body = PureCloud::UserRoutingSkillPost.new # UserRoutingSkillPost | Skill


begin
  #Add routing skill to user
  result = api_instance.post_user_id_routingskills(user_id, body)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling RoutingApi->post_user_id_routingskills: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **user_id** | **String**| User ID | 
 **body** | [**UserRoutingSkillPost**](UserRoutingSkillPost.html)| Skill | 
{: class="table table-striped"}


### Return type

[**UserRoutingSkill**](UserRoutingSkill.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="post_wrapupcodes"></a>

## -[**WrapupCode**](WrapupCode.html) post_wrapupcodes(body)

Create a wrap-up code



Wraps POST /api/v2/routing/wrapupcodes 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::RoutingApi.new

body = PureCloud::WrapupCode.new # WrapupCode | WrapupCode


begin
  #Create a wrap-up code
  result = api_instance.post_wrapupcodes(body)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling RoutingApi->post_wrapupcodes: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**WrapupCode**](WrapupCode.html)| WrapupCode | 
{: class="table table-striped"}


### Return type

[**WrapupCode**](WrapupCode.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="put_email_domains_domainname_routes_route_id"></a>

## -[**InboundRoute**](InboundRoute.html) put_email_domains_domainname_routes_route_id(domain_name, route_id, body)

Update a route



Wraps PUT /api/v2/routing/email/domains/{domainName}/routes/{routeId} 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::RoutingApi.new

domain_name = "domain_name_example" # String | email domain

route_id = "route_id_example" # String | route ID

body = PureCloud::InboundRoute.new # InboundRoute | Route


begin
  #Update a route
  result = api_instance.put_email_domains_domainname_routes_route_id(domain_name, route_id, body)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling RoutingApi->put_email_domains_domainname_routes_route_id: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **domain_name** | **String**| email domain | 
 **route_id** | **String**| route ID | 
 **body** | [**InboundRoute**](InboundRoute.html)| Route | 
{: class="table table-striped"}


### Return type

[**InboundRoute**](InboundRoute.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="put_queues_queue_id"></a>

## -[**Queue**](Queue.html) put_queues_queue_id(queue_id, body)

Update a queue



Wraps PUT /api/v2/routing/queues/{queueId} 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::RoutingApi.new

queue_id = "queue_id_example" # String | Queue ID

body = PureCloud::Queue.new # Queue | Queue


begin
  #Update a queue
  result = api_instance.put_queues_queue_id(queue_id, body)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling RoutingApi->put_queues_queue_id: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **queue_id** | **String**| Queue ID | 
 **body** | [**Queue**](Queue.html)| Queue | 
{: class="table table-striped"}


### Return type

[**Queue**](Queue.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="put_user_id_routingskills_skill_id"></a>

## -[**UserRoutingSkill**](UserRoutingSkill.html) put_user_id_routingskills_skill_id(user_id, skill_id, body)

Update routing skill proficiency or state.



Wraps PUT /api/v2/users/{userId}/routingskills/{skillId} 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::RoutingApi.new

user_id = "user_id_example" # String | User ID

skill_id = "skill_id_example" # String | skillId

body = PureCloud::UserRoutingSkill.new # UserRoutingSkill | Skill


begin
  #Update routing skill proficiency or state.
  result = api_instance.put_user_id_routingskills_skill_id(user_id, skill_id, body)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling RoutingApi->put_user_id_routingskills_skill_id: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **user_id** | **String**| User ID | 
 **skill_id** | **String**| skillId | 
 **body** | [**UserRoutingSkill**](UserRoutingSkill.html)| Skill | 
{: class="table table-striped"}


### Return type

[**UserRoutingSkill**](UserRoutingSkill.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="put_utilization"></a>

## -[**Utilization**](Utilization.html) put_utilization(body)

Update the utilization settings.



Wraps PUT /api/v2/routing/utilization 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::RoutingApi.new

body = PureCloud::Utilization.new # Utilization | utilization


begin
  #Update the utilization settings.
  result = api_instance.put_utilization(body)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling RoutingApi->put_utilization: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**Utilization**](Utilization.html)| utilization | 
{: class="table table-striped"}


### Return type

[**Utilization**](Utilization.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



<a name="put_wrapupcodes_code_id"></a>

## -[**WrapupCode**](WrapupCode.html) put_wrapupcodes_code_id(code_id, body)

Update wrap-up code



Wraps PUT /api/v2/routing/wrapupcodes/{codeId} 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::RoutingApi.new

code_id = "code_id_example" # String | Wrapup Code ID

body = PureCloud::WrapupCode.new # WrapupCode | WrapupCode


begin
  #Update wrap-up code
  result = api_instance.put_wrapupcodes_code_id(code_id, body)
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling RoutingApi->put_wrapupcodes_code_id: #{e}"
end
~~~

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **code_id** | **String**| Wrapup Code ID | 
 **body** | [**WrapupCode**](WrapupCode.html)| WrapupCode | 
{: class="table table-striped"}


### Return type

[**WrapupCode**](WrapupCode.html)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



