---
title: TokensApi
---

## PureCloud::TokensApi

All URIs are relative to *https://api.mypurecloud.com*

Method | Description
------------- | ------------- | -------------
[**delete_me**](TokensApi.html#delete_me) | Delete  auth token used to make the request.
{: class="table table-striped"}

<a name="delete_me"></a>

## -String** delete_me

Delete  auth token used to make the request.



Wraps DELETE /api/v2/tokens/me 


### Example
~~~ruby
# load the gem
require 'purecloud'
# setup authorization
@secret = ENV['PURECLOUD_SECRET']
@id = ENV['PURECLOUD_CLIENT_ID']
environment = "mypurecloud.com"

@authToken = PureCloud.authenticate_with_client_credentials @id, @secret, environment

PureCloud.configure do |config|
  config.access_token = @authToken
end

api_instance = PureCloud::TokensApi.new

begin
  #Delete  auth token used to make the request.
  result = api_instance.delete_me
  p result
rescue PureCloud::ApiError => e
  puts "Exception when calling TokensApi->delete_me: #{e}"
end
~~~

### Parameters
This endpoint does not need any parameter.
{: class="table table-striped"}


### Return type

**String**

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



