---
title: PureCloud Ruby Gem
---

PureCloud - the Ruby gem for the PureCloud Platform API

With the PureCloud Platform API, you can control all aspects of your PureCloud environment. With the APIs you can access the system configuration, manage conversations and more.

This SDK is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: v2
- Package version: 0.70.1
- Build date: 2017-03-27T18:30:29.702Z

For more information, please visit [https://developer.mypurecloud.com](https://developer.mypurecloud.com)

## Installation

### from rubygems.org

    gem 'purecloud', '~> 0.70.1'

### Install from Git

If the Ruby gem is hosted at a git repository: https://github.com/mypurecloud/purecloud_api_sdk_ruby, then add the following in the Gemfile:

    gem 'purecloud', :git => 'https://github.com/mypurecloud/purecloud_api_sdk_ruby.git'


## Getting Started

Please follow the [installation](#installation) procedure and then run the following code:

~~~ruby
# Load the gem
require 'purecloud'

# Setup authorization
PureCloud.configure do |config|
  # Configure OAuth2 access token for authorization: PureCloud Auth
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = PureCloud::AlertingApi.new

alert_id = "alert_id_example" # String | Alert ID


begin
  #Delete a heart beat alert
  api_instance.delete_heartbeat_alerts_alert_id(alert_id)
rescue PureCloud::ApiError => e
  puts "Exception when calling AlertingApi->delete_heartbeat_alerts_alert_id: #{e}"
end

~~~
